Subject: Re: next-20160128 build: 4 failures 9 warnings (next-20160128)

From: Mark Brown <[email-masked]>
Date: Thu, 28 Jan 2016 12:18:36 +0000

On Thu, Jan 28, 2016 at 10:16:02AM +0000, Build bot for Mark Brown wrote:

Today's -next fails to build at all on arm64 due to lots and lots of:

> ../arch/arm64/include/asm/page.h:64:28: error: 'READ_IMPLIES_EXEC' undeclared (first use in this function)

which looks to be due to the removal of an implicit inclusion, probably
triggered by the cleanups from "mm: warn about VmData over RLIMIT_DATA"
but I didn't investigate properly since I already identified a fairly
obvious fix.  Patch incoming.